Object Storage API, Amazon S3-compatible REST: CreateBucket
Creates a bucket.
For more information on getting started with the API and the general request format, see How to use the S3 API.
Request
PUT /{bucket} HTTP/2
Path parameters
|
Parameter |
Description |
|
|
Bucket name. When creating a bucket, follow the naming conventions. |
Headings
Use common headers in your requests.
The headers below enable you to set the ACL for the bucket being created.
|
Header |
Description |
|
|
Sets permission types for a bucket. |
|
|
Grants the access grantee permission to view the contents of a bucket and read objects in it. |
|
|
Grants the access grantee object write permission. Make sure to use this header with |
|
|
Grants the access grantee bucket ACL read permission. |
|
|
Grants the access grantee bucket ACL write permission. |
|
|
Grants the access grantee the |
The value for the X-Amz-Grant-* header is a comma-separated list of access grantees. Each access grantee is identified as <access_grantee_type>:<access_grantee_ID>. Object Storage supports the following types of access grantees:
id: Access grantee is a cloud user.uri: Access grantee is a public group.
Example:
X-Amz-Grant-Read: uri="http://acs.amazonaws.com/groups/s3/AuthenticatedUsers"
Response
Headers
Responses can only contain common headers.
Response codes
For a list of possible responses, see Responses.
A successful response does not contain any additional data.